curl https://api.ravan.ai/api/v1/widget-settings/019d1fdb-6701-762d-97bd-93fc72606d7c/ \
-H "X-Api-Key: YOUR_API_KEY"
{
"success": true,
"message": "Widget settings fetched successfully",
"data": {
"id": "019d1fdb-6701-762d-97bd-93fc72606d7c",
"botName": "Ava Support",
"botAutoStart": false,
"botPosition": "bottom-right",
"customFormFields": null,
"theme": null,
"language": "en",
"isActive": true,
"createdAt": "2026-03-20T10:30:00Z",
"updatedAt": "2026-03-20T14:15:00Z"
}
}
Retrieve the full configuration of a single widget settings object by its ID.
curl https://api.ravan.ai/api/v1/widget-settings/019d1fdb-6701-762d-97bd-93fc72606d7c/ \
-H "X-Api-Key: YOUR_API_KEY"
{
"success": true,
"message": "Widget settings fetched successfully",
"data": {
"id": "019d1fdb-6701-762d-97bd-93fc72606d7c",
"botName": "Ava Support",
"botAutoStart": false,
"botPosition": "bottom-right",
"customFormFields": null,
"theme": null,
"language": "en",
"isActive": true,
"createdAt": "2026-03-20T10:30:00Z",
"updatedAt": "2026-03-20T14:15:00Z"
}
}
Show data
BOT_POSITION_BOTTOM_RIGHT, BOT_POSITION_BOTTOM_LEFT, BOT_POSITION_TOP_RIGHT, BOT_POSITION_TOP_LEFT, BOT_POSITION_UNSPECIFIED.en, es, fr).curl https://api.ravan.ai/api/v1/widget-settings/019d1fdb-6701-762d-97bd-93fc72606d7c/ \
-H "X-Api-Key: YOUR_API_KEY"
{
"success": true,
"message": "Widget settings fetched successfully",
"data": {
"id": "019d1fdb-6701-762d-97bd-93fc72606d7c",
"botName": "Ava Support",
"botAutoStart": false,
"botPosition": "bottom-right",
"customFormFields": null,
"theme": null,
"language": "en",
"isActive": true,
"createdAt": "2026-03-20T10:30:00Z",
"updatedAt": "2026-03-20T14:15:00Z"
}
}